const fs = require('fs');
const fileName = './db/db.json';
let data = [];

module.exports = {
    init() {
        try {
            const content = fs.readFileSync(fileName);
            data = JSON.parse(content.toString());
        } catch (e) {

        }
    },
    getItems() {
        return data;
    },
    getItem(id) {
        return data.find(item => item.id === id);
    },
    addItem(item) {
        data.push(item);
        this.save();
    },
    save() {
        fs.writeFileSync(fileName, JSON.stringify(data));
    }
};
